summaryrefslogtreecommitdiff
path: root/~xihh
diff options
context:
space:
mode:
authorJoshua Ismael Haase Hernández <hahj87@gmail.com>2011-10-26 19:29:32 -0500
committerJoshua Ismael Haase Hernández <hahj87@gmail.com>2011-10-26 19:29:32 -0500
commit711a4fbe5716e640872887c95e7266783137ac6f (patch)
tree409e6dfd275c5568c37286eefcb4544d638da816 /~xihh
parentff0b5a38e2b5fd732e485c1851b80d85527a1cd3 (diff)
Commiting libre package libtre-0.8.0-1
Diffstat (limited to '~xihh')
-rw-r--r--~xihh/libtre/PKGBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/~xihh/libtre/PKGBUILD b/~xihh/libtre/PKGBUILD
new file mode 100644
index 000000000..ad111c45d
--- /dev/null
+++ b/~xihh/libtre/PKGBUILD
@@ -0,0 +1,47 @@
+# $Id: pkgbuild-mode.el,v 1.23 2007/10/20 16:02:14 juergen Exp $
+# Maintainer: Joshua Ismael Haase Hernandez <joshpar@stravy>
+pkgbase='libtre'
+pkgname=('libtre' 'python2-tre')
+pkgver=0.8.0
+pkgrel=1
+pkgdesc="The free and portable approximate regex matching library."
+arch=('i686' 'x86_64' 'mips64el')
+url="http://laurikari.net/tre/download/"
+license=('custom:BSD2')
+groups=()
+depends=()
+makedepends=('python' 'python2')
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=("http://laurikari.net/tre/tre-${pkgver}.tar.bz2")
+md5sums=('b4d3232593dadf6746f4727bdda20b41')
+noextract=()
+
+build() {
+ cd "$srcdir/tre-$pkgver"
+ ./configure --prefix=/usr
+ make
+}
+
+check() {
+ cd "$srcdir/tre-$pkgver"
+ make -k check || true # some errors expected
+}
+
+package_libtre() {
+ cd "$srcdir/tre-$pkgver"
+ make DESTDIR="$pkgdir/" install
+}
+
+package_python2-tre() {
+ depends=('libtre')
+ cd "$srcdir/tre-$pkgver/python"
+ python2 setup.py install --root="$pkgdir/" --optimize=1
+}